Public Class FrmAff

    Private Sub CmdAnnul_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles CmdAnnul.Click
        TmrLst.Stop()
        Me.Close()
        FrmAccueil.Show()
    End Sub

    Private Sub FrmAff_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        Dim i, k As Integer
        Me.Tag = "Etat des inscriptions"
        Me.Text = "Etat des inscriptions | " & TimeOfDay

        LstNP.Items.Clear()
        LstNom.Items.Clear()
        LstPrenom.Items.Clear()
        LstID.Items.Clear()
        LstE.Items.Clear()
        LstO.Items.Clear()
        LstF.Items.Clear()

        If ClefMAX < 2 Then
            LstE.Items.Add("Il n'y a pas de candidats a afficher.")
        Else
            For i = 2 To ClefMAX - 1
                If Tindex(i - 2).Suppr = False Then
                    FileGet(nf, cddts, i)
                    k = LstNP.Items.Add(cddts.Nom & " " & cddts.Prenom)
                    LstNom.Items.Insert(k, cddts.Nom)
                    LstPrenom.Items.Insert(k, cddts.Prenom)
                    LstID.Items.Insert(k, i)

                    LstE.Items.Insert(k, Microsoft.VisualBasic.Left(tme(cddts.Ecrit(0)), 4) & " - " & Microsoft.VisualBasic.Left(tme(cddts.Ecrit(1)), 4) & " - " & Microsoft.VisualBasic.Left(tme(cddts.Ecrit(2)), 4) & " - " & Microsoft.VisualBasic.Left(tme(cddts.Ecrit(3)), 4))
                    LstO.Items.Insert(k, Microsoft.VisualBasic.Left(tme(cddts.Oral(0)), 4) & " - " & Microsoft.VisualBasic.Left(tme(cddts.Oral(1)), 4) & " - " & Microsoft.VisualBasic.Left(tme(cddts.Oral(2)), 4))
                    If cddts.Fac >= 0 Then LstF.Items.Insert(k, Microsoft.VisualBasic.Left(tme(cddts.Fac), 4)) Else LstF.Items.Add("")
                End If
            Next

        End If
        TmrLst.Start()
    End Sub

    Private Sub LstNom_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles LstNom.SelectedIndexChanged, LstPrenom.SelectedIndexChanged, LstID.SelectedIndexChanged, LstE.SelectedIndexChanged, LstF.SelectedIndexChanged, LstO.SelectedIndexChanged
        For Each lst As ListBox In Pnl.Controls
            If sender.name <> lst.Name Then
                lst.SelectedIndex = sender.selectedindex
                lst.TopIndex = sender.topindex
            End If
        Next
    End Sub

    Dim L1, L2 As ListBox
    Dim k As Integer

    Private Sub TmrLST_Tick(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles TmrLst.Tick
        For Each L1 In Pnl.Controls
            If L1.TopIndex = L1.Tag Then Continue For
            k = L1.TopIndex
            L1.Tag = k
            For Each L2 In Pnl.Controls
                If L1 Is L2 Then Continue For
                L2.TopIndex = k
                L2.Tag = k
            Next
            Exit For
        Next
    End Sub

End Class